OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ViewportSwizzle

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVViewportSwizzle :: MonadIO m => m Bool
- gl_NV_viewport_swizzle :: Bool
- pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_W_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_X_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_Y_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_Z_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_POSITIVE_W_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_POSITIVE_X_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_POSITIVE_Y_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_POSITIVE_Z_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_W_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_X_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_Y_NV :: GLenum
- pattern GL_VIEWPORT_SWIZZLE_Z_NV :: GLenum
- glViewportSwizzleNV :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetNVViewportSwizzle :: MonadIO m => m Bool Source #

Is the NV_viewport_swizzle extension supported?

gl_NV_viewport_swizzle :: Bool Source #

Is the NV_viewport_swizzle extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVViewportSwizzle` in those cases instead.

# Enums

pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_W_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_X_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_Y_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_NEGATIVE_Z_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_POSITIVE_W_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_POSITIVE_X_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_POSITIVE_Y_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_POSITIVE_Z_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_W_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_X_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_Y_NV :: GLenum Source #

pattern GL_VIEWPORT_SWIZZLE_Z_NV :: GLenum Source #

# Functions

glViewportSwizzleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `swizzlex`.
-> GLenum | `swizzley`.
-> GLenum | `swizzlez`.
-> GLenum | `swizzlew`.
-> m () |